MSK3TextInternal::State Struct Reference

Internal: the state of a MSK3Text. More...

## Public Member Functions

| State ()
| constructor More...

## Public Attributes

int | m_version
| the file version More...
std::vector< TextZone > | m_zones
| the main zone More...
int | m_numPages
int | m_actualPage

## Detailed Description

Internal: the state of a MSK3Text.

## Constructor & Destructor Documentation

MSK3TextInternal::State::State | ( |  | ) |

inline

constructor

## Member Data Documentation

int MSK3TextInternal::State::m_actualPage

int MSK3TextInternal::State::m_numPages

int MSK3TextInternal::State::m_version

mutable

the file version

std::vector<TextZone> MSK3TextInternal::State::m_zones

the main zone

The documentation for this struct was generated from the following file:

- MSK3Text.cxx